Get events by contract address

Recipes
👂
Listen to Contract Events
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].block_numberIntegerThe block number
data[i].block_timestampLongThe block timestamp. (Unit: millisecond)
data[i].caller_contract_addressStringSame as data.[0].contract_address for backward compatibility.
data[i].contract_addressStringThe address of the contract that emitted the event.
data[i].event_indexStringThe event's index within the transaction's event log.
data[i].event_nameStringThe event name
data[i].eventStringThe event signature used to parse indexed and non-indexed parameters. (e.g., Transfer(address,address,uint256))
data[i].transaction_idStringTransaction hash.
data[i].resultmap<string, string>The event's parameters, including both indexed and non-indexed parameters.
data[i].result_typemap<string, string>The type of parameter
data[i]._unconfirmedBooleanWhether the transaction is unconfirmed. true means unconfirmed.
successBooleanWhether the request was successful.
meta.page_sizeIntegerThe number of items returned on the current page.
meta.atLongThe response timestamp. (Unit: millisecond)
Path Params
string
required
Query Params
string
Defaults to Transfer
int64
boolean
boolean
date-time
date-time
string
string
int32
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json